tigase.jaxmpp.core.client.xmpp.modules.socks5

## Class Socks5BytestreamsModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.socks5.Socks5BytestreamsModule

- All Implemented Interfaces:
    XmppModule

      public class Socks5BytestreamsModule
      extends Object
      implements XmppModule

  Author:
    andrzej

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Socks5BytestreamsModule.ActivateCallback`
    `static interface` | `Socks5BytestreamsModule.StreamhostsHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS_BS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Socks5BytestreamsModule(Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `process(Element element)` Main method of module.
    `void` | `process(IQ iq)`
    `void` | `requestActivate(JID host, String sid, JID jid, Socks5BytestreamsModule.ActivateCallback callback)`
    `void` | `requestStreamhosts(JID host, StreamhostsCallback callback)`
    `void` | `sendStreamhosts(JID recipient, String sid, List<Streamhost> hosts, AsyncCallback callback)`
    `void` | `sendStreamhostUsed(JID to, String id, String sid, Streamhost streamhost)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS_BS

          public static final String XMLNS_BS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Socks5BytestreamsModule

          public Socks5BytestreamsModule(Context context)

  - ### Method Detail

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Specified by:
        `getCriteria` in interface `XmppModule`
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Specified by:
        `getFeatures` in interface `XmppModule`
      Returns:
        array of features

    - #### process

          public void process(Element element)
                       throws XMPPException,
                              XMLException,
                              JaxmppException

      Description copied from interface: `XmppModule`
      Main method of module. Module will process incoming stanza by call this method.
      Specified by:
        `process` in interface `XmppModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `XMPPException`
        `XMLException`
        `JaxmppException`

    - #### process

          public void process(IQ iq)
                       throws XMLException,
                              JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### requestActivate

          public void requestActivate(JID host,
                                      String sid,
                                      JID jid,
                                      Socks5BytestreamsModule.ActivateCallback callback)
                               throws XMLException,
                                      JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### requestStreamhosts

          public void requestStreamhosts(JID host,
                                         StreamhostsCallback callback)
                                  throws XMLException,
                                         JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### sendStreamhosts

          public void sendStreamhosts(JID recipient,
                                      String sid,
                                      List<Streamhost> hosts,
                                      AsyncCallback callback)
                               throws XMLException,
                                      JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

    - #### sendStreamhostUsed

          public void sendStreamhostUsed(JID to,
                                         String id,
                                         String sid,
                                         Streamhost streamhost)
                                  throws XMLException,
                                         JaxmppException

      Throws:
        `XMLException`
        `JaxmppException`

Copyright © 2006–2016 Tigase. All rights reserved.